var id_bg, ctx_bg; 
var id_hour, ctx_hour; 
var id_minute, ctx_minute; 
var id_second, ctx_second; 

function init() {
    id_bg = document.getElementById("bg");
    ctx_bg = id_bg.getContext("2d");
    id_hour = document.getElementById("hour");
    ctx_hour = id_hour.getContext("2d");
    id_minute = document.getElementById("minute");
    ctx_minute = id_minute.getContext("2d");
    id_second = document.getElementById("second");
    ctx_second = id_second.getContext("2d");
    
    //　短針
    ctx_hour.beginPath();
    ctx_hour.lineWidth = 3;
    ctx_hour.lineCap = "round";
    ctx_hour.strokeStyle = "silver";
    ctx_hour.fillStyle = "rgba(0,0,0,0.2)";
    ctx_hour.moveTo(320+15, 340);
    ctx_hour.lineTo(320+15, 140);
    ctx_hour.arc(320, 140, 15, 0,　Math.PI, true);
    ctx_hour.lineTo(320-15, 340);
    ctx_hour.arc(320, 340, 15, Math.PI, 0, true);
    ctx_hour.stroke();
    ctx_hour.fill();
    //　長針
    ctx_minute.beginPath();
    ctx_minute.lineWidth = 3;
    ctx_minute.lineCap = "round"
    ctx_minute.strokeStyle = "silver";
    ctx_minute.fillStyle = "rgba(0,0,0,0.2)";
    ctx_minute.moveTo(320+10, 340);
    ctx_minute.lineTo(320+10, 40);
    ctx_minute.arc(320, 40, 10, 0,　Math.PI, true);
    ctx_minute.lineTo(320-10, 340);
    ctx_minute.arc(320, 340, 10, Math.PI, 0, true);
    ctx_minute.stroke();
    ctx_minute.fill();
    //　秒針
    ctx_second.beginPath();
    ctx_second.lineWidth = 3;
    ctx_second.strokeStyle = "red";
    ctx_second.moveTo(320, 340);
    ctx_second.lineTo(320, 20);
    ctx_second.stroke();
    ctx_second.beginPath();
    ctx_second.fillStyle = "red";
    ctx_second.arc(320, 320, 5, 0, 2 * Math.PI, false);
    ctx_second.fill();
    
    // 文字盤
    ctx_bg.beginPath();
    var grad  = ctx_bg.createRadialGradient(320,320,0,320,320,300);
    grad.addColorStop(0,"rgba(255,255,255,0)");
    grad.addColorStop(0.2,"rgba(255,255,255,0)");
	grad.addColorStop(1,"rgba(0,0,0,0.5)");
    ctx_bg.fillStyle = grad;
    ctx_bg.arc(320, 320, 300, 0, 2 * Math.PI, false);
    ctx_bg.fill();
    
    //　目盛り＆数字
    for(i=1; i<=60; i++){
        ctx_bg.beginPath();
        if(i%5 == 0){
            ctx_bg.font = "bold 48px sans-serif";
            ctx_bg.fillStyle = "white";
            ctx_bg.fillText(i/5, 320+ 240*Math.sin(i*Math.PI/30), 338- 240*Math.cos(i*Math.PI/30));
            p_color = "white";
            ctx_bg.fillStyle = "black";
        }else{
            p_color = "black";
            ctx_bg.fillStyle = "white";
        }
        ctx_bg.lineWidth = 1;
        ctx_bg.font = "bold 24px sans-serif";
        ctx_bg.textAlign = "center";
        ctx_bg.moveTo(320+ 270*Math.cos((i+0.5)%60*Math.PI/30), 320+ 270*Math.sin((i+0.5)%60*Math.PI/30));
        ctx_bg.lineTo(320+ 300*Math.cos((i+0.5)%60*Math.PI/30), 320+ 300*Math.sin((i+0.5)%60*Math.PI/30));
        ctx_bg.arc(320, 320, 300, (i+0.5)%60*Math.PI/30, (i-0.5)%60*Math.PI/30,true);
        ctx_bg.lineTo(320+ 270*Math.cos((i-0.5)%60*Math.PI/30), 320+ 270*Math.sin((i-0.5)%60*Math.PI/30));
        ctx_bg.arc(320, 320, 270, (i-0.5)%60*Math.PI/30, (i+0.5)%60*Math.PI/30,false);
        ctx_bg.fill();
        
        ctx_bg.fillStyle = p_color;
	    ctx_bg.fillText((i+15)%60, 320+ 285*Math.cos(i*Math.PI/30), 328+ 285*Math.sin(i*Math.PI/30));
    }

    setTime();
}

function setTime() {
    get_date = new Date();
    cr_hours = get_date.getHours();
    cr_minutes = get_date.getMinutes();
    cr_seconds = get_date.getSeconds();

    h_angle = cr_hours*30 + cr_minutes/60*30;
    id_hour.style.webkitTransform = "rotate(" + h_angle + "deg)";
    m_angle = cr_minutes*6 + cr_seconds/60*6;
    id_minute.style.webkitTransform = "rotate(" + m_angle + "deg)";
    s_angle = cr_seconds*6;
    id_second.style.webkitTransform = "rotate(" + s_angle + "deg)";

    setTimeout("setTime()",1000);
}